:root{
    --dassault-blue: rgba(0, 176, 242, 255);
}

* {
    scrollbar-width: auto;
    scrollbar-color: #363636 #ffffff00;
    font-family: 'Montserrat', sans-serif;
}

body{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.fullscreen-size{
    width: 100vw;
    height: 100vh;
    overflow: hidden;
}

.unselectable{
    -moz-user-select: none;
    -webkit-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

.window{
    position: absolute;
    height: 200px;
    width: 200px;
    background-color: white;
    box-shadow: 0 0 10px rgba(0, 0, 0, 0.3);
    border-radius: 20px;
}

.disabled{
    pointer-events: none;
}

.button{
    width: 200px;
    height: 50px;
    background-color: var(--dassault-blue);
    border-radius: 10px;
    color: white;
    border: none;
    pointer-events: all;
}

.transparent-window{
    background-color: transparent;
    border-radius: 0;
    box-shadow: none;
    pointer-events: none;
}

.center{
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
}

.center-horizontal{
    left: 50%;
    transform: translate(-50%, 0);
}

.blur{
    backdrop-filter: blur(10px);
}

.message-box{
    position: absolute;
    bottom: 20px;
    color: white;
    padding: 10px;
}

#intro {
    background-color: #20385a;
    background-image: url("../media/BeachForIntro.png");
    background-repeat: no-repeat;
    background-size: auto 200%;
    position: absolute;
    height: 100%;
    width: 100%;
}

#logos {
    position: absolute;
    bottom: 3%;
    left: 3%;
    width: 80%;
    overflow: hidden;
    background-color: #fdfdfdc4;
    border-radius: 10px;
}

#logos img {
    width: 11%;
    height: 100%;
    margin-inline: 4%;
}

#start-button {
    height: 70px;
    width: 250px;
}

#side-buttons {
    display: flex;
    position: absolute;
    bottom: 1.5vw;
    right: 1.5vw;
    z-index: 999;
}

#side-buttons > a {
    width: 4vw;
    height: 4vw;
    margin-left: 0.5vw;
    background-color: rgba(72, 72, 72, 0.5);
    backdrop-filter: blur(10px);
    border-radius: 1vw;
    display: flex;
    align-items: center;
    justify-content: center;
}

#side-buttons > a > img {
    pointer-events: none;
    width: 60%;
    height: 60%;
}

#credit {
    z-index: 6;
    position: absolute;
    backdrop-filter: blur(5px);
    top: 0;
    width: 100%;
    height: 100vh;
}

#credit-bar {
    position: absolute;
    left: 50%;
    width: 40%;
    height: 100%;
    transform: translate(-50%, 0);
    background-color: rgb(72 72 72);
    box-shadow: 0 9px 25px 0px white, 0 -9px 25px 0px white;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-evenly;
    color: white;
}

#credit-title {
    z-index: auto;
    font-size: 40px;
    margin-block-start: 0%;
    margin-block-end: 0%;
    display: block;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    font-weight: bold;
}

#credit-content {
    height: 75%;
    width: 100%;
    overflow: hidden;
    overflow-y: auto;
    scroll-padding-left: 20px;
}

#credit-content p,h3,ul {
    margin-left: 20px;
    margin-right: 20px;
}

#credit-content h3 {
    font-weight: bold;
}

#credit-content p img {
    max-width: 100%;
    max-height: 100%;
    padding: 30px;
    background-color: white;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Black.ttf') format('truetype');
    font-weight: 900; /* Black */
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-BlackItalic.ttf') format('truetype');
    font-weight: 900; /* Black */
    font-style: italic;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Bold.ttf') format('truetype');
    font-weight: 700; /* Bold */
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-BoldItalic.ttf') format('truetype');
    font-weight: 700; /* Bold */
    font-style: italic;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-ExtraBold.ttf') format('truetype');
    font-weight: 800; /* Extra Bold */
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-ExtraBoldItalic.ttf') format('truetype');
    font-weight: 800; /* Extra Bold */
    font-style: italic;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-ExtraLight.ttf') format('truetype');
    font-weight: 200; /* Extra Light */
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-ExtraLightItalic.ttf') format('truetype');
    font-weight: 200; /* Extra Light */
    font-style: italic;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Italic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Light.ttf') format('truetype');
    font-weight: 300; /* Light */
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-LightItalic.ttf') format('truetype');
    font-weight: 300; /* Light */
    font-style: italic;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Medium.ttf') format('truetype');
    font-weight: 500; /* Medium */
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-MediumItalic.ttf') format('truetype');
    font-weight: 500; /* Medium */
    font-style: italic;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-SemiBold.ttf') format('truetype');
    font-weight: 600; /* Semi-Bold */
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-SemiBoldItalic.ttf') format('truetype');
    font-weight: 600; /* Semi-Bold */
    font-style: italic;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-Thin.ttf') format('truetype');
    font-weight: 100; /* Thin */
    font-style: normal;
}

@font-face {
    font-family: 'Montserrat';
    src: url('../font/Montserrat-ThinItalic.ttf') format('truetype');
    font-weight: 100; /* Thin */
    font-style: italic;
}
